Name: solarwolf
Version:  1.5
Release:  4%{?dist}
Summary: A Python port of SolarFox

Group: Amusements/Games 
License: LGPLv2+
URL: http://pygame.org/shredwheat/solarwolf
Source0: http://pygame.org/shredwheat/solarwolf/solarwolf-%{version}.tar.gz
Source1: solarwolf.desktop
Patch0: solarwolf-path.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
BuildArchitectures: noarch
BuildRequires: desktop-file-utils
Requires: hicolor-icon-theme, python, pygame

%description
The point of the game is to scramble through 60 levels
collecting space boxes. Each level gets is harder than
the previous. Obstacles like bullets, mines, and asteroids
cover your every move. Beat the Skip timer and grab the
powerups for your only chance.

%prep
%setup -q
chmod 755 data/music
chmod 644 data/music/*
chmod 755 data/audio
chmod 644 data/audio/*

%patch0 -p0

%build

%install
rm -rf %{buildroot}

mkdir -p  %{buildroot}%{_bindir}
install -p -m 755 solarwolf.py %{buildroot}%{_bindir}/solarwolf

mkdir -p  %{buildroot}%{_datadir}/solarwolf
mkdir -p  %{buildroot}%{_datadir}/solarwolf/data
cp -ra data/* %{buildroot}%{_datadir}/solarwolf/data

mkdir -p  %{buildroot}%{_datadir}/solarwolf/code
install -p -m 644 code/* %{buildroot}%{_datadir}/solarwolf/code

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -p -m 644 dist/solarwolf.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
  
%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/solarwolf
%{_datadir}/solarwolf/
%doc readme.txt lgpl.txt
%{_datadir}/applications/fedora-solarwolf.desktop
%{_datadir}/icons/hicolor/64x64/apps/solarwolf.png

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 21 2007 Jon Ciesla <limb@jcomserv.net> - 1.5-2
- Fixed Source URL.
- Switched from mv to cp for timestamps.
- Moved permission correction to prep.

* Fri Sep 14 2007 Jon Ciesla <limb@jcomserv.net> - 1.5-1
- create.
